
User Interface - Bug #2834

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

GUI combo-box multiple drop-downs can be shown

11/09/2015 08:06 PM - Hynek Cihlar

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 11/09/2015 08:08 PM - Hynek Cihlar

Steps to recreate:

Activate drop-down in one combo-box. When drop-down visible click on a the drop-down button of a second combo-box.

#2 - 11/10/2015 05:15 AM - Greg Shah

This issue is in the trunk?

#3 - 11/10/2015 05:21 AM - Hynek Cihlar

Greg Shah wrote:

This issue is in the trunk?

 

Yes.

#4 - 11/17/2015 08:19 AM - Greg Shah

- Start date deleted (11/09/2015)

- Assignee set to Eugenie Lyzenko

- Target version set to Milestone 12

#5 - 11/18/2015 02:39 PM - Eugenie Lyzenko

- File evl_upd20151118b.zip added

The issue investigation has been performed. The original event processing logic need to be restored inside ScrollableSelectionListGuiImpl. The idea

to handle the condition like this is to emit ESCAPE key for drop-down when pressing mouse outside the drop-down. This cause the drop-down to be

closed because it generates the LEAVE event. After processing LEAVE the proper exitDropDown() is called automatically. If someone has

consideration for why we need this extra exit call - let me know please.

So we do not need to explicitly call exitDropDown() at the end of the leaveAndRepostMouse(). Moreover this method is very sensitive to the event

ordering. It is not correct to call exitDropDown() twice for drop-down.
The attached fix resolves this issue.

#6 - 11/19/2015 05:26 PM - Greg Shah

Code Review evl_upd20151118b.zip

(Originally posted to #2831 by accident)

I am fine with the change.  My only concern is what it may regress, since the code was put there deliberately by Constantin in

ScrollableSelectionListGuiImpl.java change 008 (rev 10944).

Constantin: what do you think?

#7 - 11/20/2015 04:02 AM - Constantin Asofiei

Greg Shah wrote:

Code Review evl_upd20151118b.zip

(Originally posted to #2831 by accident)

I am fine with the change.  My only concern is what it may regress, since the code was put there deliberately by Constantin in

ScrollableSelectionListGuiImpl.java change 008 (rev 10944).

Constantin: what do you think?

 

I'm OK with the change.

#8 - 11/20/2015 09:59 AM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Closed

Update evl_upd20151119a.zip (for both #2833 and #2834) committed to 2677a as revision 11071.

#9 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

evl_upd20151118b.zip 6.33 KB 11/18/2015 Eugenie Lyzenko
